using System;
using UnityEngine.InputSystem;

namespace Syntriax.Modules.Movement.VariableMovement
{
    public interface IVariableMovementController
    {
        IVariableMovement ActiveVariableMovement { get; }
        Action<IVariableMovement> OnVariableMovementChanged { get; set; }
        IInputActionCollection InputActionCollection { get; set; }

        void LoadVariableMovementCollection(VMCollection collection);
    }
}
